petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscHMapTIterSet

Set the value referenced by an iterator in the hash

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTIterSet(PetscHMapT ht,PetscHashIter iter,ValType val)

### Input Parameters

| ht | - The hash table
| iter | - The iterator
| val | - The value

### See Also

PetscHMapTPut(), PetscHMapTQuerySet(), PetscHMapTSet()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages